Skip to content

Servers

All operations require authentication.

13 operationsv1/vps · /vps/{serviceName}
Agent setup

List your VPSProduction

GET
/1.0/vps

Returns the names of the VPS of the account. Each name is the service name used by the other calls.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/vps \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List options attached to this VPSProduction

GET
/1.0/vps/{serviceName}/option

Returns the options attached to the VPS.

Path parameters

serviceName
required
string

Service name

Response

200VpsOptionEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/option \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "additionalDisk"]

List tasks associated with this VPSProduction

GET
/1.0/vps/{serviceName}/tasks

Returns the IDs of the tasks of the VPS.

Path parameters

serviceName
required
string

Service name

Query parameters

state
TaskStateEnum

Filter the value of state property (=)

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
TaskTypeEnum

Filter the value of type property (=)

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get information about a specific VPSProduction

GET
/1.0/vps/{serviceName}

Returns the model, zone, state, netboot mode, keymap, lock status, vCore count, memory limit and IAM metadata of the VPS.

Path parameters

serviceName
required
string

Service name

Response

200VPSWithIAMsuccessful operation
cluster
read-only
string
—
displayName
string

Set the name displayed in ManagerV6 for your VPS (max 50 chars)

iam
read-only
ResourceMetadata

IAM resource metadata

keymap
VpsKeymapEnum

Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change

Valuesfrus
lockStatus
read-only
LockStatus

Lock status of the VPS

memoryLimit
read-only
integer
—
model
read-only
Model

A structure describing characteristics of a VPS model

monitoringIpBlocks
read-only
ipBlock[]

Ip blocks for OVH monitoring servers

name
read-only
string
—
netbootMode
VpsNetbootEnum

All values a VPS netboot mode can be in

Valuesdistantlocalrescue
offerType
read-only
VpsOfferEnum

All offers a VPS can have

Valuesbeta-classicclassiccloudcloudramgame-classiclowlatssd
slaMonitoring
boolean
—
state
read-only
VpsStateEnum

All states a VPS can be in

Valuesbackupinginstallingmaintenancerebootingrescuedrunningstoppedstoppingupgrading
vcore
read-only
integer
—
zone
read-only
string
—
zoneType
read-only
ZoneTypeEnum

Enum values for zone type

Valueslocalzoneregion

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cluster": "string", "displayName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "keymap": "fr", "lockStatus": { "locked": true, "reason": "abuse" }, "memoryLimit": 0, "model": { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }, "monitoringIpBlocks": [ "192.0.2.0/24" ], "name": "string", "netbootMode": "distant", "offerType": "beta-classic", "slaMonitoring": true, "state": "backuping", "vcore": 0, "zone": "string", "zoneType": "localzone"}

Retrieve the datacenter information for this VPSProduction

GET
/1.0/vps/{serviceName}/datacenter

Returns the name, long name and country of the datacenter of the VPS.

Path parameters

serviceName
required
string

Service name

Response

200Datacentersuccessful operation
country
read-only
CountryEnum

Datacenter ISO country code

Valuesacadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzw
longName
read-only
string

Datacenter display name

name
read-only
string

Datacenter name

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/datacenter \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "country": "ac", "longName": "string", "name": "string"}

Retrieve the currently installed image on this VPSBeta

GET
/1.0/vps/{serviceName}/images/current

Returns the name, distribution and version of the image currently installed on the VPS.

Path parameters

serviceName
required
string

Service name

Response

200Imagesuccessful operation
id
read-only
string
—
name
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/images/current \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "string", "name": "string"}

Retrieve details about a specific option attached to this VPSProduction

GET
/1.0/vps/{serviceName}/option/{option}

Returns the option and its state on the VPS.

Path parameters

option
required
VpsOptionEnum

Option

ValuesadditionalDiskautomatedBackupcpanelftpbackupplesksnapshotveeamwindows
serviceName
required
string

Service name

Response

200Optionsuccessful operation
option
read-only
VpsOptionEnum

The option name

ValuesadditionalDiskautomatedBackupcpanelftpbackupplesksnapshotveeamwindows
state
read-only
VpsOptionStateEnum

The state of the option

Valuesreleasedsubscribed

Example uses option = additionalDisk, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/option/{option} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "option": "additionalDisk", "state": "released"}

Retrieve details about a specific task for this VPSProduction

GET
/1.0/vps/{serviceName}/tasks/{id}

Returns the type, state, progress and date of a task of the VPS.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/tasks/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Request a reboot of the VPSProduction

POST
/1.0/vps/{serviceName}/reboot

Reboots the VPS and returns the task that performs it.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/reboot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Rebuild (reinstall) this VPS and return an asynchronous taskBeta

POST
/1.0/vps/{serviceName}/rebuild

Rebuilds the VPS with the given template and returns the task that performs it.

Path parameters

serviceName
required
string

Service name

Request body (required)

doNotSendPassword
boolean

If asked, the installation password will NOT be sent (only if sshKey defined)

imageId
required
string

Id of the vps.Image fetched in /images list

installRTM
boolean

If asked, RTM will be installed on your VPS

postInstallScript
string

Bash script run once on first boot after reinstall

publicSshKey
string

Public SSH key to pre-install on your VPS

sshKey
string

SSH key name to pre-install on your VPS (name from /me/sshKey)

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/rebuild \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Start the VPS (power on) and return an asynchronous taskProduction

POST
/1.0/vps/{serviceName}/start

Starts the VPS and returns the task that performs it.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/start \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Stop the VPS (power off) and return an asynchronous taskProduction

POST
/1.0/vps/{serviceName}/stop

Stops the VPS and returns the task that performs it.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/stop \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Edit properties of the given VPSProduction

PUT
/1.0/vps/{serviceName}

Updates the display name, the KVM keyboard layout, the netboot mode and the SLA monitoring of the VPS. A keyboard layout change requires a reboot; a netboot change reboots a Cloud VPS automatically.

Path parameters

serviceName
required
string

Service name

Request body (required)

cluster
read-only
string
—
displayName
string

Set the name displayed in ManagerV6 for your VPS (max 50 chars)

keymap
VpsKeymapEnum

Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change

Valuesfrus
lockStatus
read-only
LockStatus

Lock status of the VPS

memoryLimit
read-only
integer
—
model
read-only
Model

A structure describing characteristics of a VPS model

monitoringIpBlocks
read-only
ipBlock[]

Ip blocks for OVH monitoring servers

name
read-only
string
—
netbootMode
VpsNetbootEnum

All values a VPS netboot mode can be in

Valuesdistantlocalrescue
offerType
read-only
VpsOfferEnum

All offers a VPS can have

Valuesbeta-classicclassiccloudcloudramgame-classiclowlatssd
slaMonitoring
boolean
—
state
read-only
VpsStateEnum

All states a VPS can be in

Valuesbackupinginstallingmaintenancerebootingrescuedrunningstoppedstoppingupgrading
vcore
read-only
integer
—
zone
read-only
string
—
zoneType
read-only
ZoneTypeEnum

Enum values for zone type

Valueslocalzoneregion

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"